# Interface ClientEndpointHolder

All Known Implementing Classes:
  `EndpointClassHolder, EndpointHolder, PojoClassHolder, PojoHolder`

public interface ClientEndpointHolder
Holds a client endpoint and provides access to its class name and instance.

## Method Summary

Modifier and Type
Method
Description
`String`
`getClassName()`
Returns the fully qualified class name of the endpoint.
`Endpoint`
`getInstance(InstanceManager instanceManager)`
Returns an instance of the endpoint using the given instance manager.

## Method Details

### getClassName

String getClassName()
Returns the fully qualified class name of the endpoint.

Returns:
  the class name

### getInstance

Endpoint getInstance(InstanceManager instanceManager) throws DeploymentException
Returns an instance of the endpoint using the given instance manager.

Parameters:
  `instanceManager` - the instance manager to create the endpoint
Returns:
  the endpoint instance
Throws:
  `DeploymentException` - if the endpoint cannot be instantiated